Bug 241031 - openssl-devel does not require pkgconfig
openssl-devel does not require pkgconfig
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openssl (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-23 14:38 EDT by Chris Weyl
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: openssl-0.9.8b-13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-24 15:52:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2007-05-23 14:38:04 EDT
openssl-devel provides various pkgconfig (*.pc) files but does not itself
require the pkgconfig package, nor does any of the packages it depends on appear
to require it.  This is a violation of the packaging guidelines...

Adding a simple "Requires: pkgconfig" to the %package devel section should fix
it.  Thanks! :)

Note You need to log in before you can comment on or make changes to this bug.